{% extends appTheme.getTheme~'/base.html.twig' %}
{% from "default/macros/form.html.twig" import input_search %}

{% block title %}
    {% if not is_granted('ROLE_AGENT') %}
        {% trans %}Mes précédentes recherches{% endtrans %}
    {% else %}
        {% trans %}Liste des recherches{% endtrans %}
    {% endif %}
{% endblock %}

{% block body %}

    <div class="container">
        <h1>
            {% if not is_granted('ROLE_AGENT') %}
                {% trans %}Mes précédentes recherches{% endtrans %}
            {% else %}
                {% trans %}Liste des recherches{% endtrans %}
            {% endif %}
        </h1>

        <div class="container-small">
            <h2>Critères de recherche</h2>

            {{ form_start(logsFiltersForm, {'attr': {'class': 'form-custom form-search', 'id' : 'search_logs_filters' }}) }}
                <div class="flex-container inputs-wrapper-search">
                    {% if logsFiltersForm.user is defined %}
                        {{ input_search(logsFiltersForm.user) }}
                    {% endif %}
                    {{ input_search(logsFiltersForm.responseType) }}
                    {{ input_search(logsFiltersForm.name) }}
                    {{ input_search(logsFiltersForm.startDate) }}
                    {{ input_search(logsFiltersForm.endDate) }}
                </div>

                <div class="flex-container align-right">
                    {{ form_row(logsFiltersForm.reset, {'attr': {'class': 'border-button'}}) }}
                    {{ form_row(logsFiltersForm.send, {'attr': {'class': 'border-button'}}) }}
                    <button type="button" id="export-csv" class="border-button">Export</button>
                </div>
            {{ form_end(logsFiltersForm) }}
        </div>
    </div>
    <div class="container-table">
        <div class="table-wrapper">
            {% include appTheme.getTheme~'/search/logs-results.html.twig' %}
        </div>
    </div>

{% endblock %}
